public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Aaron Bauman" <bman@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/tempora/
Date: Sun,  3 Jun 2018 02:13:38 +0000 (UTC)	[thread overview]
Message-ID: <1527992012.0f887eb0d965989837dcc5d14b60027f34ba6fcf.bman@gentoo> (raw)

commit:     0f887eb0d965989837dcc5d14b60027f34ba6fcf
Author:     Louis Sautier <sautier.louis <AT> gmail <DOT> com>
AuthorDate: Sat Jun  2 12:21:16 2018 +0000
Commit:     Aaron Bauman <bman <AT> gentoo <DOT> org>
CommitDate: Sun Jun  3 02:13:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0f887eb0

dev-python/tempora: bump to 1.11, EAPI=7, cosmetic fixes

This new version requires dev-python/freezegun to run tests.

Package-Manager: Portage-2.3.38, Repoman-2.3.9
Closes: https://github.com/gentoo/gentoo/pull/8691

 dev-python/tempora/Manifest            |  1 +
 dev-python/tempora/tempora-1.11.ebuild | 54 ++++++++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-python/tempora/Manifest b/dev-python/tempora/Manifest
index 2a8a8ed86e2..00666673b1a 100644
--- a/dev-python/tempora/Manifest
+++ b/dev-python/tempora/Manifest
@@ -1,3 +1,4 @@
+DIST tempora-1.11.tar.gz 14750 BLAKE2B d8e448f9cf363a49b30bc016faeaccf1e724c8887d179570b4e46e2eb8d7eaccf7837ffc43e02e956869caa22ac037507e2b17c11540fdb7e6610fd7607780b6 SHA512 cda47613cabefabb0c52e2f89f31b405a3b3f17c531a0b890a9ccfd3a3fcd5bc5bec19881ce726972ff61811654e8b5ec8048c9ebad6e87d72d7d98bfa4daeab
 DIST tempora-1.6.1.tar.gz 11423 BLAKE2B d549581d92d9205eaa9495cba251891a7c93859abf1d402b2e0b7f344f882acbe11578fd66a0f604dbff3458108f04582ce527148f0fa1b2d683872c17d32015 SHA512 9baf9162e304e59ae0a427a7a27d1fc66b0d4b98e016490317832ba2e7acec520ef2baeebeb26f7984ba7ace82413d15b96baef7dbdfcfdc94e29e7179769a01
 DIST tempora-1.7.tar.gz 11645 BLAKE2B d354fb863a8d30bd9e603ad942d7c7f61a70c24e7f1fe94fffd59982431190e2807c2dc577ff83eb90ffc5fd2b2f8415965de1d77e4dca0dd02291733bfbb97c SHA512 2420e32a9b8c990609d8f09225004e0b1c445cad1fe3c3c74625cb8317b552469acf2d3b28aa56633a87260a93c77d73b02178cb662016c514bc740aa01399e5
 DIST tempora-1.9.tar.gz 12469 BLAKE2B da18fc066cb9cf7ee0fa7eefb39ea2ac941760144c7efdea66a05780ced43d574757665dfad6088f98c135e7b14874aef0c8243ab338fcbaa5a515ec27507f52 SHA512 cb049675d7196738debca3dc0ddd8c5e72d0468bd1a853f77378cc5564b100cd94d23c63d7b06c6bed2827365d904a1582cf9d497618493b795600b6d476b91f

diff --git a/dev-python/tempora/tempora-1.11.ebuild b/dev-python/tempora/tempora-1.11.ebuild
new file mode 100644
index 00000000000..f194bb50ce8
--- /dev/null
+++ b/dev-python/tempora/tempora-1.11.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_{4,5,6}} pypy{,3} )
+
+inherit distutils-r1
+
+MY_PN="${PN/-/.}"
+DESCRIPTION="Objects and routines pertaining to date and time"
+HOMEPAGE="https://github.com/jaraco/tempora"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_PN}-${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/pytz[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+"
+# The calc-prorate binary used to be part of jaraco.utils
+DEPEND="
+	!<=dev-python/jaraco-utils-10.0.2
+	>=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	doc? (
+		>=dev-python/jaraco-packaging-3.2[${PYTHON_USEDEP}]
+		>=dev-python/rst-linker-1.9[${PYTHON_USEDEP}]
+		dev-python/sphinx[${PYTHON_USEDEP}]
+	)
+	test? (
+		>=dev-python/pytest-2.8[${PYTHON_USEDEP}]
+		dev-python/backports-unittest-mock[${PYTHON_USEDEP}]
+		dev-python/freezegun[${PYTHON_USEDEP}]
+	)
+"
+
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+python_compile_all() {
+	if use doc; then
+		sphinx-build docs docs/_build/html || die
+		HTML_DOCS=( docs/_build/html/. )
+	fi
+}
+
+python_test() {
+	# Override pytest options to skip flake8
+	PYTHONPATH=. py.test --override-ini="addopts=--doctest-modules" \
+		|| die "tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2018-06-03  2:13 UTC|newest]

Thread overview: 135+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-06-03  2:13 Aaron Bauman [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-16  8:52 [gentoo-commits] repo/gentoo:master commit in: dev-python/tempora/ Louis Sautier
2024-08-10  6:28 Michał Górny
2024-08-10  6:28 Michał Górny
2024-07-26  1:57 Michał Górny
2024-07-12  6:56 Michał Górny
2024-07-06  7:40 Arthur Zamarin
2024-07-06  7:26 Arthur Zamarin
2024-07-06  6:59 Arthur Zamarin
2024-07-06  6:43 Arthur Zamarin
2024-07-06  6:39 Sam James
2024-07-06  6:39 Sam James
2024-07-06  6:14 Sam James
2024-07-05 18:41 Arthur Zamarin
2024-06-20 15:20 Michał Górny
2024-06-20  4:56 Michał Górny
2024-06-19  4:36 Michał Górny
2024-05-09 17:32 Michał Górny
2024-05-09 13:23 Michał Górny
2024-05-08 18:31 Michał Górny
2024-04-07 15:21 James Le Cuirot
2024-03-07 16:24 Michał Górny
2024-03-07 16:22 Michał Górny
2024-02-19 15:51 Michał Górny
2023-07-24 10:49 Michał Górny
2023-06-28  5:06 Michał Górny
2023-06-11  5:18 Michał Górny
2023-06-01 14:59 Michał Górny
2023-05-13 16:04 Michał Górny
2023-05-13 10:44 Arthur Zamarin
2023-04-11  3:14 Michał Górny
2023-02-16 20:28 Michał Górny
2023-02-16 17:22 Arthur Zamarin
2023-02-07  9:26 Michał Górny
2023-01-19  6:08 Michał Górny
2023-01-02 14:54 Michał Górny
2022-12-25 17:50 Michał Górny
2022-12-25 16:45 Sam James
2022-11-20  7:45 Michał Górny
2022-08-17 19:34 Arthur Zamarin
2022-08-17 18:48 Sam James
2022-07-14 18:34 Arthur Zamarin
2022-06-16 11:47 Michał Górny
2022-06-16  9:40 Jakov Smolić
2022-06-02  8:32 Michał Górny
2022-05-13 16:31 Arthur Zamarin
2022-05-13 16:31 Arthur Zamarin
2022-04-26  4:03 Sam James
2022-03-16  8:07 Michał Górny
2022-03-15 17:56 Jakov Smolić
2022-02-04 12:04 Michał Górny
2022-01-09  5:13 Michał Górny
2021-11-13  9:51 Michał Górny
2021-11-13  9:26 Arthur Zamarin
2021-10-08  6:21 Michał Górny
2021-07-28 23:38 Marek Szuba
2021-07-25  8:41 Michał Górny
2021-07-25  1:04 Sam James
2021-06-21  7:54 Michał Górny
2021-05-08  8:52 Michał Górny
2021-05-06 11:03 Michał Górny
2021-05-06  9:57 Sam James
2021-04-04 14:23 Michał Górny
2020-12-31  8:50 Michał Górny
2020-12-31  1:20 Sam James
2020-11-28 15:26 Sam James
2020-11-28 15:26 Sam James
2020-10-31  8:33 Michał Górny
2020-09-26  4:57 Matt Turner
2020-09-06 17:35 Sam James
2020-09-02  6:33 Sergei Trofimovich
2020-09-01  3:22 Sam James
2020-08-21 15:36 Agostino Sarubbo
2020-08-21 15:31 Agostino Sarubbo
2020-08-21 15:27 Agostino Sarubbo
2020-08-19  9:17 Sam James
2020-07-28 17:28 Sergei Trofimovich
2020-07-19 18:33 Michał Górny
2020-07-13 23:13 Sam James
2020-07-06 11:57 Michał Górny
2020-07-05 15:16 Michał Górny
2020-06-29 13:40 Agostino Sarubbo
2020-06-22 19:05 Mart Raudsepp
2020-06-10  8:11 Michał Górny
2020-05-27  7:16 Michał Górny
2020-05-16 11:25 Mikle Kolyada
2020-03-25 13:59 Michał Górny
2020-03-25 13:59 Michał Górny
2020-03-20 23:05 Louis Sautier
2020-03-20 23:05 Louis Sautier
2020-03-20 22:40 Louis Sautier
2020-03-20 22:40 Louis Sautier
2020-03-17  2:09 Matt Turner
2020-03-17  2:09 Matt Turner
2020-02-08 11:33 Sergei Trofimovich
2020-02-06  6:38 Michał Górny
2020-01-11  0:29 Louis Sautier
2020-01-05 12:48 Sergei Trofimovich
2019-12-31 15:18 Louis Sautier
2019-12-31 15:18 Louis Sautier
2019-12-12  2:19 Georgy Yakovlev
2019-12-10 19:25 Sergei Trofimovich
2019-12-10 19:25 Sergei Trofimovich
2019-12-08 23:32 Sergei Trofimovich
2019-12-08 23:31 Sergei Trofimovich
2019-12-04 19:44 Sergei Trofimovich
2019-12-02 21:13 Aaron Bauman
2019-11-27 12:59 Mikle Kolyada
2019-11-25 12:35 Michał Górny
2019-11-25  8:12 Patrick McLean
2019-11-22  0:20 Patrick McLean
2019-04-17 18:07 Aaron Bauman
2019-04-12 10:10 Louis Sautier
2019-04-12 10:10 Louis Sautier
2018-11-03 15:41 Louis Sautier
2018-11-03 15:41 Louis Sautier
2018-08-19 21:51 Louis Sautier
2018-07-25 21:10 Louis Sautier
2018-07-25 20:51 Louis Sautier
2018-07-04 20:29 Louis Sautier
2018-07-04 20:29 Louis Sautier
2018-06-26 14:18 Louis Sautier
2018-06-26 14:18 Louis Sautier
2018-06-18 10:34 Louis Sautier
2018-06-03  2:13 Aaron Bauman
2018-03-07 19:47 Markus Meier
2018-01-24 23:12 Sergei Trofimovich
2017-09-22 13:56 Patrice Clement
2017-06-17 17:24 Agostino Sarubbo
2017-06-17 15:36 Agostino Sarubbo
2017-06-11  7:02 Michael Palimaka
2017-06-11  7:02 Michael Palimaka
2016-09-27 10:17 Patrice Clement
2015-12-30 12:51 Ian Delaney
2015-12-29 13:58 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1527992012.0f887eb0d965989837dcc5d14b60027f34ba6fcf.bman@gentoo \
    --to=bman@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox